API
Images
List Images

List Images

Returns available images that can be used to create compute instances.


Endpoint

GET /cloud/v1/image/images/list

Example

curl https://api.redu.cloud/cloud/v1/image/images/list \
  -H "x-api-key: YOUR_API_KEY"

Successful Response

[
  {
    "id": "54f06e50-0459-4699-b0d5-be8df4c220a4",
    "name": "ubuntu24.04",
    "visibility": "public",
    "project_id": "b5573a78fd324f9f93c82ef25a85151b",
    "metadata": {
      "base_image_name": null,
      "image_type": null,
      "original_instance_id": null
    }
  },
  {
    "id": "3f43f343-8d4f-42da-9fa6-f77367aa2725",
    "name": "cirros",
    "visibility": "public",
    "project_id": "b5573a78fd324f9f93c82ef25a85151b",
    "metadata": {
      "base_image_name": null,
      "image_type": null,
      "original_instance_id": null
    }
  }
]

Response Schema

Image

FieldTypeDescription
idstringUnique image ID
namestringImage name
visibilitystringImage visibility (public or private)
project_idstringProject that owns the image
metadataobjectAdditional image metadata

metadata

FieldTypeDescription
base_image_namestringnull
image_typestringnull
original_instance_idstringnull

Errors

401 Unauthorized

{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key"
  }
}

403 Forbidden

The API key does not have access to the requested project.